program rhvals

  implicit none
  real, dimension(10) :: rh = &
    (/ 77.2,88.1,69.1,47.2,94.2,74.5,77.1,50.1,91.1,84.4 /)

  call print_rh( rh )

  contains

  subroutine print_rh( rh )

  real, dimension(10), intent(in) :: rh
  integer :: i

  do i = 1,10
    print *, rh(i)
  enddo

  print *, rh
  print "(4f5.1)", rh

  end subroutine print_rh

end program rhvals
